/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   pushswap.h                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/11/08 18:19:44 by cchauvet          #+#    #+#             */
/*   Updated: 2022/11/29 16:22:26 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef PUSHSWAP_H
# define PUSHSWAP_H
# include <unistd.h>
# include <stdlib.h>
# include <limits.h>

int		ft_isnum(char *str);
int		ft_atoi(char *str);
void	ft_putstr(char *str);

void	ft_sort(int *tab, int size);
int		ft_get_max_index(int *tab, int len);
int		ft_get_max_index(int *tab, int len);
int		ft_get_min_index(int *tab, int len);
int		ft_get_min_index(int *tab, int len);

int		ft_tablen(int *tab);
int		ft_is_sorted(int *in);

int		ft_bit_finder_left(int big, int tofind);
int		ft_bit_finder_right(int big, int tofind);
int		ft_get_bit_max(int *tab);
int		ft_get_bit_min(int *tab);
void	ft_radix_sort(int *tab_a, int *tab_b);

void	ft_swap(int *a, int *b);
void	ft_pa(int *tab_a, int *tab_b);
void	ft_pb(int *tab_a, int *tab_b);
void	ft_ra(int *tab_a);
void	ft_rb(int *tab_b);

#endif
