/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_radix.c                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/11/15 18:16:31 by cchauvet          #+#    #+#             */
/*   Updated: 2022/11/30 13:19:13 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "pushswap.h"

void	ft_radix_sort(int *tab_a, int *tab_b)
{
	int	i;

	while (!ft_is_sorted(tab_a))
	{
		i = ft_tablen(tab_a);
		while (--i >= 0 && !ft_is_sorted(tab_a))
		{
			if ((tab_a[i] >> (sizeof(int) * 8 -1) & 1) == 0)
				ft_pb(tab_a, tab_b);
			else
				ft_ra(tab_a);
		}
		while (tab_b[0] != -1)
			ft_pa(tab_a, tab_b);
		i = ft_tablen(tab_a);
		while (--i >= 0 && !ft_is_sorted(tab_a))
			tab_a[i] = tab_a[i] << 1;
	}
}
